
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>&quot;remote:error:refusing to update checked out branch:refs/heads/master&quot;的解决办法 / 憋错料</title>

    <meta name="description" content="&quot;remote:error:refusing to update checked out branch:refs/heads/master&quot;的解决办法 在使用Git Push代码到数据仓库时,提示如下错误: [remote rejected] master -&gt; master (branch is currently checked out) 错误原型 remote: error: refusing to update checked out branch: refs/heads/master remote: error: By default, updating the current branch in a non-bare repo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">&quot;remote:error:refusing to update checked out branch:refs/heads/master&quot;的解决办法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在使用Git Push代码到数据仓库时，提示如下错误:</p>
<p>[remote rejected] master -&gt; master (branch is currently checked out)</p>
<p>错误原型</p>
<p>remote: error: refusing to update checked out branch: refs/heads/master</p>
<p>remote: error: By default, updating the current branch in a non-bare repository</p>
<p>remote: error: is denied, because it will make the index and work tree inconsistent</p>
<p>remote: error: with what you pushed, and will require ‘git reset --hard‘ to match</p>
<p>remote: error: the work tree to HEAD.</p>
<p>remote: error:</p>
<p>remote: error: You can set ‘receive.denyCurrentBranch‘ configuration variable to</p>
<p>remote: error: ‘ignore‘ or ‘warn‘ in the remote repository to allow pushing into</p>
<p>remote: error: its current branch; however, this is not recommended unless you</p>
<p>remote: error: arranged to update its work tree to match what you pushed in some</p>
<p>remote: error: other way.</p>
<p>remote: error:</p>
<p>remote: error: To squelch this message and still keep the default behaviour, set</p>
<p>remote: error: ‘receive.denyCurrentBranch‘ configuration variable to ‘refuse‘.</p>
<p>To [email&#160;protected]:/var/git.server/.../web</p>
<p>! [remote rejected] master -&gt; master (branch is currently checked out)</p>
<p>error: failed to push some refs to ‘[email&#160;protected]:/var/git.server/.../web‘</p>
<p>解决办法:</p>
<p>这是由于git默认拒绝了push操作，需要进行设置，修改.git/config文件后面添加如下代码：</p>
<p>[receive] &nbsp;&nbsp;&nbsp; denyCurrentBranch = ignore</p>
<p>无法查看push后的git中文件的原因与解决方法</p>
<p>在初始化远程仓库时最好使用</p>
<p>git --bare init</p>
<p>而不要使用：git init</p>
<p>git init 和git --bare init 的具体区别:http://blog.haohtml.com/archives/12265</p>
<p>=================================================</p>
<p>如果使用了git init初始化，则远程仓库的目录下，也包含work tree，当本地仓库向远程仓库push时, 如果远程仓库正在push的分支上（如果当时不在push的分支，就没有问题）, 那么push后的结果不会反应在work tree上,&nbsp; 也即在远程仓库的目录下对应的文件还是之前的内容。</p>
<p>解决方法：</p>
<p>必须得使用命令 git reset --hard 才能看到push后的内容.</p>
<p>研究了很久不得其解，然后找到一条命令凑合着能用了： 登录到远程的那个文件夹，使用</p>
<p>git config --bool core.bare true</p>
<p>就搞定了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 20:46:01 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>&quot;remote:error:refusing to update checked out branch:refs/heads/master&quot;的解决办法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k9qV74.html" rel="bookmark">remote&colon;error&colon;refusing to update checked out branc</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考网上的GIt服务器配置流程(http://blog.csdn.net/ice520301/article/details/6142503) 遇到了 http://www.cnblogs.com/cosiray/archive/2012/06/01/2530967.html 这样的问题. 出现问题的原因是: csdn上的配置流程中初始化服务器上的git目录用的是命令&quot;git init --bare&quot; 而正确的用法应该是&quot;git --bare init&quot;,仅仅是顺序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nx5QZ0.html" rel="bookmark">git报错error&colon; src refspec refs&sol;heads&sol;master does not match any&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				$ git pusherror: src refspec refs/heads/master does not match any.error: failed to push some refs 出错解决方案: 首先先试试注释 1.本地git仓库目录下为空 2.本地仓库add后未commit 3.git init错误 解决: 1.控制面板打开文件夹选项  打开隐藏文件和文件夹显示 2.到本地仓库目录下查看是否有.git文件夹--无 则git init 3.看.git文件夹下是否有之前提交的文件-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6nqlNM.html" rel="bookmark">MySQL ERROR &colon; The used command is not allowed with this MySQL version 解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目的:向MySql数据库导入.txt文件,通过load命令来实现 输入如下命令,报错: 修改命令,依旧报错: 可能原因(from mysql reference manual): If LOAD DATA LOCALis disabled, either in the server or the client, a client that attempts to issue such a statement receives the fol-lowing error message: ERROR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXrE9z3.html" rel="bookmark">【转】bootstrap模态框（modal&rpar;使用remote方法加载数据，只能加载一次的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.csdn.net/coolcaosj/article/details/38369787 bootstrap的modal中,有一个remote选项,可以动态加载页面到modal-body中 有两种方法,一种是使用链接,另一种就是使用脚本. 1 使用链接 &lt;a href=&quot;user/userDetail.jsp&quot; data-toggle=&quot;modal&quot; data-target=&quot;#myModal&quot;&gt;打开对话框&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP9OEa0.html" rel="bookmark">《OpenGL编程指南第七版》学习&mdash;&mdash;编译时提示&OpenCurlyDoubleQuote;error C2381&colon; &OpenCurlyDoubleQuote;exit&rdquo; &colon; 重定义；&lowbar;&lowbar;declspec&lpar;noreturn&rpar; 不同&rdquo;错误的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决办法一. #if defined(_WIN32) # ifndef GLUT_BUILDING_LIBextern _CRTIMP void __cdecl exit(int); 上面是glut.h中对exit的使用,意思是如果没有定义宏?GLUT_BUILDING_LIB,就使用它的exit,那我们就在项目的属性--预处理器 里定义这个宏,这样就不执行glut.h中的exit了,而只执行stdlib.h中的exit.这样也就不会冲突了.对了,还要在附加依赖项里手动加上?glut32.lib			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD7Z9e4.html" rel="bookmark">VC&plus;&plus;编译错误error C2065&colon; &OpenCurlyDoubleQuote;HANDLE&rdquo;&colon; 未声明的标识符及添加winbase&period;h后提示winbase&period;h&lpar;243&rpar;&colon; error C2146&colon; 语法错误&colon; 缺少&OpenCurlyDoubleQuote;&semi;&rdquo;&lpar;在标识符&OpenCurlyDoubleQuote;Internal&rdquo;的前面&rpar;的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述: VC++程序编译时提示错误:error C2065: &quot;HANDLE&quot;: 未声明的标识符等众多错误提示,如下所示: error C2065: &quot;HANDLE&quot;: 未声明的标识符 error C2146: 语法错误: 缺少&quot;;&quot;(在标识符&quot;hFind&quot;的前面) error C2065: &quot;hFind&quot;: 未声明的标识符 error C2065: &quot;INVALID_HANDLE_VALUE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02DGRz4.html" rel="bookmark">cluster&lowbar;state&colon;fail  error  clusterdown hash slot not served  redis集群启动失败 解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在虚拟机上架设了redis集群,三台虚拟机,一共六个节点,每个虚拟机上分别使用 6379,6380端口.由于死机导致非法关闭,然后集群就起不来了,报error  clusterdown hash slot not served的错误. 用redis-cli -c 登录集群,用cluster nodes 查看发现cluster_known_nodes:1 也就是说只找到了一个其他节点,所以需要将丢失的节点手工加进去,于是用cluster meet ip 端口的方式将其他主机加进去,中间还因为写错了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qGQeGM.html" rel="bookmark">error MSB6006&colon; &OpenCurlyDoubleQuote;CL&period;exe&rdquo;已退出，代码为X &mdash;&mdash; 的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误 : error MSB6006: “CL.exe”已退出,代码为X . 解决方法: 1.有少可能是执行目录引起的. 参考 http://bbs.csdn.net/topics/370064083 2.杀毒软件 打开windows任务管理器,看看进程中有没有杀毒软件在执行,还有一些进程,比如阿里巴巴反钓鱼安全服务. 结束这些进程,再进行编译即可.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xX2AN0.html" rel="bookmark">error&colon; qrc&lowbar;qml&period;obj&colon; requires unsupported dynamic reloc R&lowbar;ARM&lowbar;REL32&semi; recompile with -fPIC解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用qtcreator加androidndk编译项目时报错: error: qrc_qml.obj: requires unsupported dynamic reloc R_ARM_REL32; recompile with -fPIC error: undefined reference to '__dso_handle' 解决方案,建一个头文件,代码如下,包含到项目里: #define NS_EXPORT extern &quot;C&quot; {/* * To work around http:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kAl4d.html" rel="bookmark" class="title">linux下实现nginx反向代理</a>
					<div>
						正向代理架构图 反向代理架构图 反向代理服务器决定哪台服务器提供服务 Nginx实现反向代理 两个域名指向同一台nginx服务器,用户访问不同的域名显示不同的网页内容 准备两个tomcat服务器 修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/P47D6kM.html" rel="bookmark" class="title">左旋转字符串</a>
					<div>
						题目 字符串左移k位后的结果 解题 旋转三次 public class Solution { public String LeftRotateString(String str,int n) { if ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wv2eQ0.html" rel="bookmark" class="title">单个jetty 8&period;1&period;17跑多个应用的分析过程（分别用独立端口独立进程）</a>
					<div>
						一.搭建测试环境: ####系统版本信息####CentOS release 6.7 (Final) ############################系统内核版本#####Linux vers ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415nko4.html" rel="bookmark" class="title">c语言打印爱心</a>
					<div>
						#include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; int main() {     for (float y = 1.5f; y &gt; -1.5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1AN84.html" rel="bookmark" class="title">互联网之&OpenCurlyDoubleQuote;联&rdquo;</a>
					<div>
						互联网的三个字很好的解释了它的特征,即&quot;联&quot;.&quot;互&quot;.&quot;网&quot;(英文internet和web也很不错,只是没有这么传神).而它们三者又互相依赖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wElqQM.html" rel="bookmark" class="title">Mcafee&lpar;麦咖啡&rpar; 无法升级的解决办法&lpar;威流验证&rpar;</a>
					<div>
						McAfee时会遇到更新失败的情况.为了解决这个问题,你需要做如下设置:1.“运行”&gt;“dcomcnfg.exe”2.双击“组件服务&gt;计算机&gt;我的电脑”3.展开“DCOM配置”,打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YRm2O3.html" rel="bookmark" class="title">Lamp最新源码包一般安装过程及常见问题</a>
					<div>
						l Lamp简介 l Apache安装 l Mysql安装 l Php安装 l 测试lamp l 常见问题 l 参考资料 Lamp简介 Lamp是Linux+Apache+Mysql/MariaDB+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDrVZo3.html" rel="bookmark" class="title">微信内网页支付开发手记</a>
					<div>
						最近项目需要用到微信支付,以前弄过淘宝支付,其实原理都差不多,在此做个笔记,方便以后用到. 微信支付分几种,而我只用到了微信内网页支付,其他支付过程大同小异. 官方文档:http://pay.weix ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a17Jq0.html" rel="bookmark" class="title">一单元，1题</a>
					<div>
						namespace No._1{ class Program { static void Main(string[] args) { Console.WriteLine(&quot;请输入一个数&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEQzW4.html" rel="bookmark" class="title">java web之Filter详解</a>
					<div>
						java web之Filter详解 2012-10-20 0 个评论 作者:chenshufei2 收藏 我要投稿 .概念: Filter也称之为过滤器,它是Servlet技术中比较激动人心的技术,W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqLOk3.html" rel="bookmark" class="title">开顶与出阳神的关系</a>
					<div>
						师兄:师父好,开顶和出阳神,有直接关系吗?万行上师说,只有出来了才是修大道的开始,对吗? 师父:开顶就是出阳神,出阳神的时候就是开顶,但是你们要知道,不是出阳神之后,阳神就在法界里面修炼.那不对的,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLXz74.html" rel="bookmark" class="title">对象指针与this指针</a>
					<div>
						对象指针分为三大类 [1]指向对象的指针 [2]指向对象成员的指针(数据类) [3]指向对象成员的指针(函数类) #include&lt;iostream&gt; using namespace st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZpqPdM.html" rel="bookmark" class="title">mysql查看表结构2种方式对比</a>
					<div>
						1.desc t_bookType; 2.show create table t_bookType; 相信大部分人还是喜欢第一种查看表结构方式.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBJZOM.html" rel="bookmark" class="title">不要一个人吃饭</a>
					<div>
						&lt;不要一个人吃饭( Never Eat Alone)&gt;一书介绍了21世纪的交际规则. 1.努力让自己的付出多于回报 因为你会为别人提供价值,别人才会联系你.所以多考虑别人而不是自己. 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmNpbX0.html" rel="bookmark" class="title">hiho16动态lca</a>
					<div>
						这个要好写点,就是dfs这棵树,将每个节点进入 和出去的位置都记录下来, 然后找 所要求得两个点最后出现的位置之间的最小值 所对应的点,就是他们的最近公共祖先. #include&lt;iostrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myo6mE3.html" rel="bookmark" class="title">jvm容器的关系</a>
					<div>
						jvm实例,tomcat容器,spring容器,在内存中的关系5 1.一个java项目对应一个jvm 吗? 2.tomcat里面加载多个java项目 ,是不是用了一个jvm? 3.java项目中的sp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWdvDB0.html" rel="bookmark" class="title">centos6&period;6 myphpadmin</a>
					<div>
						基本环境为:Centos6.6+Apache2.2.15+php5.3.3+Mysql5.1.73 开始下载了网站上最新版本myPhpAdmin4.3.8安装后打开浏览器为空白页,后百度后都讲是与PH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dDvyg0.html" rel="bookmark" class="title">iframe间的通信</a>
					<div>
						父框架 1 &lt;body&gt;&lt;/body&gt; 2 &lt;script type=&quot;text/javascript&quot;&gt; 3 document.domain  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AnykgM.html" rel="bookmark" class="title">现代信息环境中的云计算</a>
					<div>
						云计算是网格技术的还有一种说法,它起源于20世纪90年代中后期,并在2007年底实现了正式应用.它的最大优势在于实现了日常应用程序的在线存储,告别了办公室的一台电脑的本地存储方式.云计算一个比較常见的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q1ebW3.html" rel="bookmark" class="title">一个好的网站是如何打造的</a>
					<div>
						拥有一个高权重的网站,相信是各位站长一直以来的梦想.每天看着别人高权重.多流量的网站暗自羡慕,自己在想总有一天我也会做到一天10万IP,但想象归想象,总要回到现实面对着自己那个一天几十到几百IP的网站 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
